<%@ page contentType="text/html; charset=utf-8" language="java" errorPage="" %>
<%@ page import="java.util.*"%>
<%@ page import="tot.search.*"%>
<%@ page import="tot.exception.*"%>
<%@ page import="tot.util.*" %>
<%@ page import="tot.bean.*" %>
<%@ page import="tot.db.*" %>
<%@ page import="tot.dao.DaoFactory" %>
<%@ page import="java.sql.*" %>
<%@ page import="java.net.*" %>
<%@ page import="java.io.*" %>
<%@ page import="tot.global.Sysconfig" %>
<%@ page import="tot.global.Syslog" %>
<%@ page import="org.apache.lucene.store.Directory" %>
<%@ page import="org.apache.lucene.index.IndexWriter" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=utf-8">
<title>add article index</title>
<link href="style/global.css" rel="stylesheet" type="text/css" />
</head>
<body>

<p></p>
<h2 align="center">更新索引</h2>
<div align="center">
<table width="98%" border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#999999">
  <tr>
    <td width="28%" height="25" align="center" bgcolor="#DFFFEF"><strong>要索引的模型</strong></td>
    </tr>
     <%
		Connection conn = null;
		Statement stmt=null;
		ResultSet rs = null;
		try{
			conn = DBUtils.getConnection();
			stmt = conn.createStatement();						
			rs=stmt.executeQuery("select mid,mname,tbname from phome_enewsmod");
			while(rs.next()) {
		%>
  	<tr>
    	<td height="25" align="center" bgcolor="#FFFFFF">	
    		<a href="index-update_empirecms.jsp?tblname=<%=rs.getString(3)%>"><%=rs.getString(2)%></a>    
    	</td>
    </tr>
    <%
			}
		} catch(Exception e){
				out.print(e.toString());
		} finally{
				DBUtils.closeResultSet(rs);
				DBUtils.closeStatement(stmt);
				DBUtils.closeConnection(conn);
		}
		%>
</table>
</div>

</body>
</html>